HyperTrackDocs
Places

Get places

Get places with filters. Response includes the 'name' field for each place if available.

GET
/places/v1/

Get places with filters. Response includes the 'name' field for each place if available.

Authorization

AuthorizationBasic <token>

In: header

Query Parameters

place_handles?|

List of place handles as comma separated strings used for fetching associated Places

search_term?|

Keyword to match against place handle (or place id) OR name OR metadata

name?|

Filter places by name (case-insensitive partial match)

lat?|

latitude of location around which places should be searched

lon?|

longitude of location around which places should be searched

radius?|

radius around location which places should be searched, if given metadata is ignored

metadata?|

metadata of the order as json encoded string

min_skew?|

Minimum skew to filter for. Skew in inferred geofence can be between 0 and 1. 0 mean no skew, i.e. perfect overlap and 1 means no overlap

sort_by?|

Key on which result must be sorted.

sort_direction?|

Sort route responses by asc or desc on the created_at timestamp

geofence_type?|

Filter to fetch the specified geofence type.

has_suggested_places?|

Filter to fetch the places which has suggested geofences

suggestion_type?|

Filter to fetch places by suggestion type. Comma-separated list of: 'manual', 'inferred', 'bounding_box'

aggregate?|

Whether to return aggregates, i.e. count of places

pagination_token?|

Identifier used to fetch the next page of data

limit?|

Maximum number of results to be returned.

from_date?|

Start date (YYYY-MM-DD) of the time window used as a filter to retrieve places visited on a specific date, regardless of the timezone.

to_date?|

End date (YYYY-MM-DD) of the time window used as a filter to retrieve places visited on a specific date, regardless of the timezone.

visit_detection_config?|

Worker detection config as json encoded string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/places/v1/"
{  "aggregate": {    "count": 0,    "count_circular_places": 0,    "count_polygon_places": 0  },  "places": [    {      "place_handle": "string",      "name": "string",      "geometry": {        "coordinates": [          0        ],        "type": "Point"      },      "radius": 0,      "address": "string",      "timings": [        {          "day_of_week": "MONDAY",          "start_time": "string",          "end_time": "string"        }      ],      "metadata": {        "property1": null,        "property2": null      },      "closed_on": [        "string"      ],      "expected_service_time": 0,      "detect_visits": true,      "geofence_id": "string",      "address_components": {        "country": "string",        "state": "string",        "city": "string",        "postal_code": "string",        "street": "string"      },      "place_type": "shop",      "place_id": "f0968ed8-288a-49fe-ae98-74c720303b1b",      "last_updated": "string",      "order_count": 0,      "inferred_geofences": [        {          "geometry": {            "type": "Polygon",            "coordinates": [              [                [                  0                ]              ]            ]          },          "source": "customer_provided",          "inclusivity": "string",          "skew": 0,          "area_ratio": 0,          "centroid_shift": 0        }      ],      "inferred_geofences_skew": 0,      "visit_detection_config": {        "worker_handle": "string",        "metadata_filter": {          "property1": null,          "property2": null        }      },      "inferred_geofence": {        "geometry": {          "type": "Polygon",          "coordinates": [            [              [                0              ]            ]          ]        },        "source": "customer_provided",        "inclusivity": "string",        "skew": 0,        "area_ratio": 0,        "centroid_shift": 0      },      "bounding_box": {        "geometry": {          "type": "Polygon",          "coordinates": [            [              [                0              ]            ]          ]        },        "source": "customer_provided",        "skew": 0,        "area_ratio": 0,        "centroid_shift": 0      },      "created_by": {        "source": "string",        "timestamp": "string",        "ip-address": "string",        "device_id": "string",        "driver_handle": "string",        "user_id": "string",        "email": "string"      },      "updated_by": {        "source": "string",        "timestamp": "string",        "ip-address": "string",        "device_id": "string",        "driver_handle": "string",        "user_id": "string",        "email": "string"      },      "locked_from_suggestions": true,      "suggestion_applied": true,      "suggestion_applied_on": "string",      "has_pending_suggestion": true,      "suggestion_not_applied_reason": "string",      "suggestions_reviewed_on": "string"    }  ],  "pagination_token": "string"}
{  "detail": {},  "message": "string"}
{  "detail": {    "<location>": {      "<field_name>": [        "string"      ]    }  },  "message": "string"}